package app;

public enum PizzaSize {
    SMALL(400, "klein"), MEDIUM(500, "mittel"), LARGE(600, "groß"), FAMILY(1000, "extra groß");
    /** price in Cent */
    private int price;
    /** Name in german for UI */
    private String name;

    PizzaSize(int price, String name) {
        this.price = price;
        this.name = name;
    }

    public int getPrice() {
        return this.price;
    }

    public String getName() {
        return name;
    }
}