package app;

import java.util.HashMap;

public class Studentenverwaltung {
    private HashMap<Integer, Studi> studis = new HashMap<Integer, Studi>();

    public void immatrikulieren(String name, String vorname, int matrikelnummer) {
        if (studis.get(matrikelnummer) != null)
            throw new IllegalArgumentException(); // geprüfte Exception ??
        else
            studis.put(matrikelnummer, new Studi(name, vorname, matrikelnummer));
    }

    public void exmatrikulieren(int matrikelnummer) {
        if (studis.remove(matrikelnummer) == null)
            throw new IllegalArgumentException(); // Fehlermeldung ausgegeben ??
    }

    public void listeAusgeben() {
        studis.forEach((k, v) -> System.out.println(k + ": " + v.getName() + " " + v.getLastName()));
    }
}